🚧 This integration is currently in preview and subject to change.
curl --request GET \
--url https://api.moonpay.com/platform/v1/payment-methods \
--header 'Authorization: Bearer <token>'{
"data": {
"paymentMethodConfigs": [
{
"type": "apple_pay",
"capabilities": {
"supportedCurrencies": [
"USD"
],
"supportedTransactionTypes": [
"buy"
],
"allowsDeletion": false
},
"availability": {
"active": true
}
}
]
}
}Get available payment method configurations for a user
curl --request GET \
--url https://api.moonpay.com/platform/v1/payment-methods \
--header 'Authorization: Bearer <token>'{
"data": {
"paymentMethodConfigs": [
{
"type": "apple_pay",
"capabilities": {
"supportedCurrencies": [
"USD"
],
"supportedTransactionTypes": [
"buy"
],
"allowsDeletion": false
},
"availability": {
"active": true
}
}
]
}
}Bearer authentication header using an access token.
Example: Authorization: Bearer <accessToken>
When false, omits paymentMethodConfigs from the response. Defaults to true.
The request has succeeded.
Show child attributes